Get Project Status
GET /tm/api/v1/project/status
Operation id: getProjectStatus
Description
Retrieve project status using a Project Id.
Parameters
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
projectId | string | Yes | Project Id |
Security
- ApiKeyAuth (apiKey)
- API key passed in the
apikeyrequest header.
- API key passed in the
Responses
200 — Success
Content type: application/json
400 — Error
Content type: application/json
Response models
200 — Success
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
message | string | No | |
status | string | No | |
data | object | No |
{
"type": "object",
"properties": {
"message": {
"type": "string",
"example": "Query Successful"
},
"status": {
"type": "string",
"example": "SUCCESS"
},
"data": {
"type": "object",
"properties": {
"status": {
"type": "string",
"example": "In Progress"
}
}
}
}
}
400 — Error
Content type: application/json
Schema
| Property | Type | Required | Description |
|---|---|---|---|
status | string | No | |
error | array | No |
{
"type": "object",
"properties": {
"status": {
"type": "string",
"example": "ERROR"
},
"error": {
"type": "array",
"items": {
"type": "object",
"properties": {
"code": {
"type": "string"
},
"message": {
"type": "string"
}
}
}
}
}
}
Example:
{
"status": "ERROR",
"error": [
{
"code": "839",
"message": "projectId not provided."
}
]
}